Board index FlightGear The FlightGear project

Broken link on the wiki's how to build page

Questions about the FlightGear organisation, website, wiki etc.

Broken link on the wiki's how to build page

Postby akh2103 » Sat Sep 14, 2013 10:14 pm

I am new to flight gear and trying to build for the first time based on the instructions on the wiki, located here
http://wiki.flightgear.org/Howto:Build_ ... pendencies

The link to the open scene graph is broken:
http://www.openscenegraph.org/svn/osg/O ... raph-3.0.1

I don't know very much about the flight gear code base so I am not sure if I should just grab a different version of openscenegraph or if I really need to use 3.0.1.

Can somebody fix the wiki with a good link?
akh2103
 
Posts: 7
Joined: Sat Sep 14, 2013 10:10 pm

Re: Broken link on the wiki's how to build page

Postby Gijs » Sun Sep 15, 2013 11:31 am

Welcome!

OpenScenGraph recently moved their SVN server to a new address, thus the link at the wiki got outdated. I've just commanded our wiki bot to update all these links, so they should be fine in a few minutes.

The correct link in your article is now http://svn.openscenegraph.org/osg/OpenS ... aph-3.0.1/

Cheers,
Gijs
Airports: EHAM, EHLE, KSFO
Aircraft: 747-400
User avatar
Gijs
Moderator
 
Posts: 9384
Joined: Tue Jul 03, 2007 2:55 pm
Location: Amsterdam/Delft, the Netherlands
Callsign: PH-GYS
Version: Git
OS: Windows 10

Re: Broken link on the wiki's how to build page

Postby akh2103 » Sun Sep 15, 2013 1:13 pm

Thanks!
akh2103
 
Posts: 7
Joined: Sat Sep 14, 2013 10:10 pm

netbeans error on importing plib using the wiki instructions

Postby akh2103 » Sun Sep 15, 2013 2:23 pm

I am trying to build flight gear for the first time using the instructions on the wiki: http://wiki.flightgear.org/Howto:Build_ ... plugins.29

But when I try to checkout the PLIB project using netbeans v7.3.1 by going to Team-->Subversion-->checkout and feeding in URL = "https://plib.svn.sourceforge.net/svnroot/plib" then I get an error = "org.apache.subversion.javahl.ClientException: E175011: Repository moved permanently; please relocate E175002: PROPFIND request failed on '/svnroot/plib/!svn/vcc/default'"

Is that URL still good? Should I point to a different URL? Why is netbeans throwing that error?
akh2103
 
Posts: 7
Joined: Sat Sep 14, 2013 10:10 pm

Re: netbeans error on importing plib using the wiki instruct

Postby Hooray » Sun Sep 15, 2013 2:50 pm

see the error message, obviously the URL is no longer good - exactly like the message says, you need to use the latest URL, see http://sf.net/projects/plib
http://sourceforge.net/p/plib/code/HEAD/tree/
And you'll get: http://svn.code.sf.net/p/plib/code/trunk

please help us maintain/update the article by contributing any necessary changes directly to the wiki, any help is appreciated!
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 11375
Joined: Tue Mar 25, 2008 8:40 am


Return to The FlightGear project

Who is online

Users browsing this forum: No registered users and 1 guest